<?xml version="1.0" encoding="UTF-8"?><!--Converted at: Wed May 11 15:49:38 KST 2016-->
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" 
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="SecUserDAO">

 	<select id="loadUserByUsername" parameterType="String" resultType="SecUserVO">
        SELECT
                  A.MB_INFO_ID
                , A.LOGIN_USER_ID
                , A.NAME
                , A.MOBILE_NO
                , A.PASSWORD
                , A.EMAIL
                , A.GENDER
                , A.ZIP_CODE
                , A.ADDRESS
                , A.ADDRESS_DETAIL
                , A.BIRTHDAY
                , A.STATUS
                , A.JOIN_DATE
                , A.VERIFICATION_DD
                , A.LAST_ACCESS_DD
                , A.LEAVE_SITE_DATE
                , A.REG_ID
                , A.REG_DD
                , A.MOD_ID
                , A.MOD_DD
                , B.SNS_TYPE
                , B.SNS_ID
                , 'ROLE_USER' AS AUTHORITY_LIST
        FROM UAC_CLTR_DB.MB_INFO A /* 사용자정보 */
        JOIN UAC_CLTR_DB.MB_SNS B  /* 사용자 SNS 정보 */
        ON A.MB_INFO_ID = B.MB_INFO_ID 
        JOIN UAC_CLTR_DB.MB_SITE /* 가입문화원정보 */ C 
        ON A.MB_INFO_ID = C.MB_INFO_ID
        WHERE CONCAT(C.JOIN_COUNCIL_CD, '@', A.LOGIN_USER_ID) = #{councilloginUserId}    
        LIMIT 1     
 	</select>

</mapper>